Get sorting key for a string

- « Collator::getLocale

- Collator::getStrength »

- PHP Manual
- Collator
- Get sorting key for a string

# Collator::getSortKey

# collator_get_sort_key

(PHP 5 >= 5.3.2, PHP 7, PHP 8, PECL intl >= 1.0.3)

Collator::getSortKey -- collator_get_sort_key — Get sorting key for a string

### Description

Object-oriented style

public Collator::getSortKey(string `$string`): string|false

Procedural style

collator_get_sort_key(Collator `$object`, string `$string`): string|false

Return collation key for a string. Collation keys can be compared directly instead of strings, though are implementation specific and may change between ICU library versions. Sort keys are generally only useful in databases or other circumstances where function calls are extremely expensive.

### Parameters

`object`

  Collator object.

`string`

  The string to produce the key from.

### Return Values

Returns the collation key for the string, or `false` on failure.

Warning

This function may return Boolean `false`, but may also return a non-Boolean value which evaluates to `false`. Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

### Examples

Example #1 collator_get_sort_key()example

    <?php$s1 = 'Hello';$coll = collator_create('en_US');$res  = collator_get_sort_key($coll, $s1);echo bin2hex($res);?>

The above example will output something similar to:

3832404046010901dc08

### See Also

- collator_sort() - Sort array using specified collator
- collator_sort_with_sort_keys() - Sort array using specified collator and sort keys